{inputs, ...}: let
  inherit (inputs) nixpkgs;
  inherit (nixpkgs.lib) nixosSystem;
in {
  flake.nixosConfigurations.atreus = nixosSystem {
    specialArgs = {inherit inputs;};
    modules = [
      {networking.hostName = "atreus";}
      ../nixos/common/flake-support.nix
      ../nixos
    ];
  };
}
